org.jboss.resteasy.logging

## Enum Logger.LoggerType

- java.lang.Object
- - java.lang.Enum<Logger.LoggerType>
  - - org.jboss.resteasy.logging.Logger.LoggerType

- All Implemented Interfaces:
    Serializable, Comparable<Logger.LoggerType>
  Enclosing class:
    Logger

      public static enum Logger.LoggerType
      extends Enum<Logger.LoggerType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JUL`
    `LOG4J`
    `SLF4J`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Logger.LoggerType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Logger.LoggerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JUL

          public static final Logger.LoggerType JUL

    - #### LOG4J

          public static final Logger.LoggerType LOG4J

    - #### SLF4J

          public static final Logger.LoggerType SLF4J

  - ### Method Detail

    - #### values

          public static Logger.LoggerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Logger.LoggerType c : Logger.LoggerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Logger.LoggerType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.